Package com.io7m.waxmill.machines

# Class WXMMACAddress

java.lang.Object
com.io7m.waxmill.machines.WXMMACAddress

All Implemented Interfaces:
  `WXMMACAddressType`

    public final class WXMMACAddress
    extends java.lang.Object
    implements WXMMACAddressType

A MAC address, such as `d7:94:b5:60:0d:ac`.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `WXMMACAddress.Builder` | Builds instances of type `WXMMACAddress`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static WXMMACAddress.Builder` | `builder()` | Creates a builder for `WXMMACAddress`.
  `static WXMMACAddress` | `copyOf​(WXMMACAddressType instance)` | Creates an immutable copy of a `WXMMACAddressType` value.
  `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `WXMMACAddress` that have equal attribute values.
  `int` | `hashCode()` | Computes a hash code from attributes: `value`.
  `static WXMMACAddress` | `of​(java.lang.String value)` | Construct a new immutable `WXMMACAddress` instance.
  `java.lang.String` | `toString()` | Prints the immutable value `WXMMACAddress` with attribute values.
  `java.lang.String` | `value()` |
  `WXMMACAddress` | `withValue​(java.lang.String value)` | Copy the current immutable object by setting a value for the `value` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.waxmill.machines.WXMMACAddressType

  `checkPreconditions`

- ## Method Details

  - ### value

    public java.lang.String value()
    Specified by:
      `value` in interface `WXMMACAddressType`
    Returns:
      The MAC address string

  - ### withValue

    public final WXMMACAddress withValue​(java.lang.String value)
    Copy the current immutable object by setting a value for the `value` attribute. An equals check used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for value
    Returns:
      A modified copy of the `this` object

  - ### equals

    public boolean equals​(java.lang.Object another)
    This instance is equal to all instances of `WXMMACAddress` that have equal attribute values.
    Overrides:
      `equals` in class `java.lang.Object`
    Returns:
      `true` if `this` is equal to `another` instance

  - ### hashCode

    public int hashCode()
    Computes a hash code from attributes: `value`.
    Overrides:
      `hashCode` in class `java.lang.Object`
    Returns:
      hashCode value

  - ### toString

    public java.lang.String toString()
    Prints the immutable value `WXMMACAddress` with attribute values.
    Overrides:
      `toString` in class `java.lang.Object`
    Returns:
      A string representation of the value

  - ### of

    public static WXMMACAddress of​(java.lang.String value)
    Construct a new immutable `WXMMACAddress` instance.
    Parameters:
      `value` - The value for the `value` attribute
    Returns:
      An immutable WXMMACAddress instance

  - ### copyOf

    public static WXMMACAddress copyOf​(WXMMACAddressType instance)
    Creates an immutable copy of a `WXMMACAddressType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
    Parameters:
      `instance` - The instance to copy
    Returns:
      A copied immutable WXMMACAddress instance

  - ### builder

    public static WXMMACAddress.Builder builder()
    Creates a builder for `WXMMACAddress`.

         WXMMACAddress.builder()
            .setValue(String) // required value
            .build();

    Returns:
      A new WXMMACAddress builder